Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class IteratorClosureAdapter

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.runtime.IteratorClosureAdapter

    public class IteratorClosureAdapter
    extends Closure

A closure which stores calls in a List so that method calls can be iterated over in a 'yield' style way

Authors:
  James Strachan

Version:
  \$Revision: 18729 \$

Field Summary

Fields inherited from class Closure
DELEGATE_FIRST, DELEGATE_ONLY, DONE, OWNER_FIRST, OWNER_ONLY, SKIP, TO_SELF, maximumNumberOfParameters, parameterTypes

Constructor Summary
`IteratorClosureAdapter(Object delegate)`

Method Summary
`List` | `asList()`
`protected Object` | `doCall(T argument)`
`MetaClass` | `getMetaClass()`
`void` | `setMetaClass(MetaClass metaClass)`

Methods inherited from class Closure
asWritable, call, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, ncurry, rcurry, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### IteratorClosureAdapter

    public IteratorClosureAdapter(Object delegate)

Method Detail

### asList

    public List asList()

### doCall

    protected Object doCall(T argument)

### getMetaClass

    public MetaClass getMetaClass()

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

Copyright © 2003-2010 The Codehaus. All rights reserved.